Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class TemplateTypeDefinition

    java.lang.Object
      com.bea.netuix.application.definition.TemplateTypeDefinition

All Implemented Interfaces
  Serializable

    public class TemplateTypeDefinition

extends Object
implements Serializable

TemplateTypeDefinition

See Also
  Serialized Form

Nested Class Summary
`static class` | `TemplateTypeDefinition.TemplateType`

Method Summary
`static com.bea.netuix.application.identifier.TemplateTypeId[]` | `getAllTemplateTypeIds()` Retuns all `TemplateTypeId`s in the system.
`static TemplateTypeDefinition[]` | `getAllTemplateTypes()` Returns all `TemplateTypeDefinition`s in the system.
`TemplateTypeDefinition.TemplateType` | `getTemplateType()` Returns the `TemplateType` of this `TemplateDefinition`.
`static TemplateTypeDefinition` | `getTemplateTypeDefinition(com.bea.netuix.application.identifier.TemplateTypeId id)` Returns the `TemplateTypeDefinition` given a `TemplateTypeId`
`com.bea.netuix.application.identifier.TemplateTypeId` | `getTemplateTypeId()` Returns the `TemplateTypeId` associated with this `TemplateDefinition`.
`static com.bea.netuix.application.identifier.TemplateTypeId` | `getTemplateTypeId(TemplateTypeDefinition.TemplateType templateType)` Returns the `TemplateTypeId` associated with a `TemplateType`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getTemplateType

    public TemplateTypeDefinition.TemplateType getTemplateType()

  Returns the `TemplateType` of this `TemplateDefinition`.

  Returns
    template type

### getTemplateTypeId

    public com.bea.netuix.application.identifier.TemplateTypeId getTemplateTypeId()

  Returns the `TemplateTypeId` associated with this `TemplateDefinition`.

  Returns
    template type id

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getAllTemplateTypeIds

    public static com.bea.netuix.application.identifier.TemplateTypeId[] getAllTemplateTypeIds()

  Retuns all `TemplateTypeId`s in the system.

  Returns
    array of template type ids

### getAllTemplateTypes

    public static TemplateTypeDefinition[] getAllTemplateTypes()

  Returns all `TemplateTypeDefinition`s in the system.

  Returns
    array of template type definitions

### getTemplateTypeId

    public static com.bea.netuix.application.identifier.TemplateTypeId getTemplateTypeId(TemplateTypeDefinition.TemplateType templateType)

  Returns the `TemplateTypeId` associated with a `TemplateType`

  Parameters
    `templateType` - input template type
  Returns
    template type id

### getTemplateTypeDefinition

    public static TemplateTypeDefinition getTemplateTypeDefinition(com.bea.netuix.application.identifier.TemplateTypeId id)

  Returns the `TemplateTypeDefinition` given a `TemplateTypeId`

  Parameters
    `id` - templateTypeId
  Returns
    template type definition

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved